installer une ancienne version

  • WordPress :5.0
  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 16)
  • Auteur
    Messages
  • #2232217
    freshflavour
    Participant
    Initié WordPress
    7 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 5.2
    • Thème utilisé : Gluber
    • Extensions en place : Akismet, Jetpzck
    • Nom de l’hébergeur : ovh
    • Adresse du site : http://www.freshflavour.fr

    Problème(s) rencontré(s) : le thème installé n’est pas encore prêt pour WordPress 5, j’aimerais mettre la version 4.9 en attendant

    #2232220
    bkantique
    Participant
    Chevalier WordPress
    352 contributions

    Hello

    comme PhiLyon te l’as indiqué dans un autre fil de discussion ton thème n’a pas été mis à  jour depuis 2 ans donc pour moi les chances qu’il soit MAJ pour WP 5 sont minimes.

    tu peux essayer de poser la question aux créateurs du thème pour voir

    sinon je pense qu’en installant le plugin Classic Editor tu n’aura pas besoin de revenir en 4.9.

    autre option changer de thème pour choisir un thème qui lui est à jour.

    derniere possibilité effectivement c’est de réinstaller une version 4.9 (il y a des tutos sur le net pour cela)

    n’oublie pas de basculer ton PHP en version 7.2

    • Cette réponse a été modifiée le il y a 7 mois et 1 week par  bkantique.
    #2232225
    PhiLyon
    Modérateur
    Maître WordPress
    23052 contributions

    Bonjour.

    Le plus simple est de faire une restauration d’avant la mise à jour chez OVH https://www.ovh.com/fr/hebergement-web/restauration_fichier.xml

    En attendant bien sûr que le thème soit mis à jour…

    Ce qui ne t’empêche pas de mettre à jour le PHP https://docs.ovh.com/fr/hosting/mutualise-configurer-la-version-de-php-depuis-votre-espace-client/

    🙂

    #2232251
    Flobogo
    Modérateur
    Maître WordPress
    15612 contributions

    Bonjour,

    Comme indiqué plus haut, l’extension Classic Editor permet de conserver l’ancien éditeur, sur WP 5.0 et plus.

    Il faut donc procéder ainsi :

    1. Installer WP 5.0
    2. Charger et activer l’extension Classic Editor
    3. Charger seulement à ce moment votre thème

    Toutefois, notez bien que :

    • Classic Editor ne sera mis à jour et maintenu que jusque fin 2021
    • Si votre thème est ancien, il risque de ne pas pouvoir bénéficier de nouvelles fonctionnalités de WordPress, introduites sur WP 4.9 et sur les futures versions 5.x
    • Surtout, il risque de ne pas être compatible avec PHP 7.1 ou 7.2. Vous pouvez rester encore quelque temps sur PHP 7.1, mais là encore, au bout d’un moment, il faudra mettre à jour.

    Pour l’instant, WP 5.0 + Classic Editor + PHP 7.1, ça peut rouler. Mais tôt ou tard, ça n’ira plus.
    Alors gardez bien en tête qu’une installation qui n’est pas à jour risque à tout moment d’être piratée.

    #2232284
    Li-An
    Modérateur
    Maître WordPress
    22064 contributions

    @Flobogo : à mon avis il ne faut pas se précipiter sur le futur de Classic Editor et Gutenberg. Il peut se passer beaucoup de choses avant 2021.

    #2232342
    freshflavour
    Participant
    Initié WordPress
    7 contributions

    Bonjour,

    Merci pour vos précieux conseils, en fait je me rends compte qu’il faut être attentif à n’importe quelle mise à jour. Le thème que j’ai choisi semble avoir une durée de vie limitée avec ces nouveautés, je vais devoir songer à rémunérer un geek à l’avenir 🙂

    #2232343
    freshflavour
    Participant
    Initié WordPress
    7 contributions

    Merci, grâce à l’installation de Classic Editor je peux à nouveau poster des articles.

    J’ai néanmoins cette demande de mise à jour ACF :
    <h2>Mise à jour de la base de données nécessaire</h2>
    Merci d’avoir mis à jour Advanced Custom Fields v5.7.8 !
    This version contains improvements to your database and requires an upgrade.

    Dois-je la faire également ?

    Merci

    #2232344
    freshflavour
    Participant
    Initié WordPress
    7 contributions

    Je pense que le créateur du thème est Themeforest mais je n’en suis pas sûr.

    #2232345
    Li-An
    Modérateur
    Maître WordPress
    22064 contributions

    Gluber est ici https://themeforest.net/item/gluber-multi-purpose-personal-news-theme/17926055 et avec 76 ventes, il y avait peu de chances de continuer à être suivi. Il faut faire les mises à jour demandées, oui. Cela fait deux ans que votre thème est abandonné… Et travailler avec un “pro” ne vous protège pas des mauvaises surprises.

    #2232346
    PhiLyon
    Modérateur
    Maître WordPress
    23052 contributions

    Non, c’est le vendeur du thème et c’est tout. “L’auteur” est Besquare qui n’a apparemment pas produit grand-chose depuis 2013.

    🙂

    #2232347
    freshflavour
    Participant
    Initié WordPress
    7 contributions

    OK

    Avez-vous des adresses où je pourrais acheter un thème de type magazine ?

    Merci

    #2232348
    PhiLyon
    Modérateur
    Maître WordPress
    23052 contributions

    Tu n’as que l’embarras du choix, ils sont gratuits et mis à jour https://fr.wordpress.org/themes/search/magazine/

    🙂

    #2232349
    freshflavour
    Participant
    Initié WordPress
    7 contributions

    Franchement vous êtes réactifs ça fait plaisir.

    Merci à tous et bonne fin de journée !

    #2232410
    Flobogo
    Modérateur
    Maître WordPress
    15612 contributions

    @li-an : c’est vrai. Je voulais juste signaler que Classic Editor est une solution fiable pour le moment, mais qui ne sera peut-être pas éternellement maintenue (comme toute extension)

    @freshflavour : attention, il me semble avoir lu que ACF n’est pas (encore) compatible avec WP 5.0. Remarquez, c’est peut-être la compatibilité avec Gutenberg qui leur pose problème ; ce qui passe peut-être sans souci dans votre cas avec Classic editor.

    Oui, il faut maintenir son site à jour le plus possible, au plus près des évolutions.

    Mais WP 5.0 est une version majeure, qui introduit le nouvel éditeur auquel tous les thèmes ou extensions ne sont pas forcément adaptés. (la preuve, vous avez un problème avec votre thème Gluber). Il est donc conseillé de ne pas se précipiter pour mettre à jour, et soit tester le fonctionnement en local ou sur site de test avant la mise à jour, soit d’utiliser Classic Editor en attendant une compatibilité.

    #2232449
    Li-An
    Modérateur
    Maître WordPress
    22064 contributions

    @Flobogo : même WP n’est pas éternel a priori.

15 sujets de 1 à 15 (sur un total de 16)
  • Vous devez être connecté pour répondre à ce sujet.